Bug 985398 - 14.4.3.1. About EJB Security Annotations in Development Guide
14.4.3.1. About EJB Security Annotations in Development Guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: GA
: EAP 6.1.1
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On: 957156
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 08:03 EDT by Ondrej Lukas
Modified: 2014-08-14 11:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11864, Development Guide-6.1-4 Build Date: 12-07-2013 01:19:06 Topic ID: 4768-336471 [Specified]
Last Closed: 2013-09-16 16:25:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Lukas 2013-07-17 08:03:19 EDT
These mistakes were copied from https://bugzilla.redhat.com/show_bug.cgi?id=957156 because they occure in Development Guide too.

14.4.3.1. About EJB Security Annotations
There is a duplicated entry:

@RolesAllowed, @PermitAll, @DenyAll
Specifies which method permissions are allowed. For information about method permissions, refer to Section 14.4.2.1, “About EJB Method Permissions”.


And I would also remove following:

@SecurityDomain
Specifies the security domain to use for the EJB. If the EJB is annotated for authorization with @RolesAllowed, authorization will only apply if the EJB is annotated with a security domain.

1) It's a JBoss specific annotation
2) It's not true anymore (from EAP 6.1), the authorization only apply for such annotated beans (bz #901147).
Comment 1 Misty Stanley-Jones 2013-07-24 23:37:04 EDT
Fixed in revision 481778. Will be set to ON_QA when the change is ready for review.
Comment 2 Misty Stanley-Jones 2013-08-29 22:50:47 EDT
Not yet updated.
Comment 5 Ondrej Lukas 2013-09-02 03:18:29 EDT
Verified on stage.

Note You need to log in before you can comment on or make changes to this bug.